from distutils.core import setup, Extension

module = Extension('upnpbrowser',
                    define_macros = [('MAJOR_VERSION', '1'),
                                     ('MINOR_VERSION', '1')],
                    include_dirs = ['/usr/include','/usr/include/libupnpbrowser1',
                                    '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include'],
                    libraries = ['upnpbrowser1', 'glib-2.0'],
                    library_dirs = ['/usr/lib'],
                    sources = ['upnp-browser-module.c', 'upnp-device-module.c', 'upnp-item-module.c'])

setup (name = 'UPnPBrowser',
       version = '1.1',
       description = 'Python bindig for LibUPnPBrowser',
       author = 'Renato Chencarek',
       author_email = 'renato.chencarek@openbossa.org',
       url = 'http://www.python.org/doc/current/ext/building.html',
       long_description = '''
Python binding for LibUPnPBrowser.
''',
       ext_modules = [module])
